package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.shipping.MesLoadingList;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesLoadingListService extends IBaseMesService<MesLoadingList> {

    @ApiOperation("根据发运单号查询装车单信息")
    MesLoadingList getMesLoadingListByShippingCode(String organizeCode, String shippingCode);

    void doSubmit(List<Long> ids);

    void doCreateVolvoAsn(List<Long> ids);
}
